Subject: bug#32042: 26.1; python.el with ipython prompt leads to superfluous interactive shell output

From: Noam Postavsky <[email-masked]>
Date: Mon, 02 Jul 2018 20:45:45 -0400

Jaan Altosaar <[email-masked]> writes:

> Thanks!
>
> I installed gnureadline. I could not rename the readline.so file as the
> file moved to the /System/Library path in Mac High Sierra.
>
> FWIW I am not using the system python, but Anaconda 3 python (ipython
> 6.4.0).
>
> Python 3.6.5 |Anaconda custom (64-bit)| (default, Apr 26 2018, 08:42:37).
>
> Is there anything else I should try?

You mean there was no change?  Perhaps instead of the /System/Library
path you need to find where the libedit readline is installed for
Anaconda.  Although I'm not sure where that would be.